Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.sampler
Class PutWriter

    java.lang.Object
      org.apache.jmeter.protocol.http.sampler.PostWriter
          org.apache.jmeter.protocol.http.sampler.PutWriter

    public class PutWriter

extends PostWriter

Class for setting the necessary headers for a PUT request, and sending the body of the PUT.

Field Summary

Fields inherited from class org.apache.jmeter.protocol.http.sampler.PostWriter
`BOUNDARY, ENCODING, formDataPostBody, formDataUrlEncoded`

Constructor Summary
`PutWriter()` Constructor for PutWriter.

Method Summary
`void` | `setHeaders(URLConnection connection, HTTPSampler sampler)`

Methods inherited from class org.apache.jmeter.protocol.http.sampler.PostWriter
`getBoundary, sendPostData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutWriter

    public PutWriter()

  Constructor for PutWriter.

Method Detail

### setHeaders

    public void setHeaders(URLConnection connection,
                           HTTPSampler sampler)
                    throws IOException

  Overrides:
    `setHeaders` in class `PostWriter`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.